Insurance Policies
List insurance policies
Financial terms and values; no custodian data or attachments. Numbers are masked. Imported annuity terms and parties are read-only except notes. Values use dollars; balances use cents. Party arrays replace submitted roles or accessible annuity parties. Only advisor valuations can be edited.
GET
/
v1
/
insurance_policies
List insurance policies
curl --request GET \
--url https://api.slant.app/v1/insurance_policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slant.app/v1/insurance_policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slant.app/v1/insurance_policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slant.app/v1/insurance_policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slant.app/v1/insurance_policies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.slant.app/v1/insurance_policies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slant.app/v1/insurance_policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"insurance_type": "life",
"carrier": "<string>",
"policy_number": "<string>",
"life_policy_type": "term",
"permanent_policy_type": "whole_life",
"term_duration_years": 123,
"convertible": true,
"face_amount": "<string>",
"death_benefit": "<string>",
"cash_value": "<string>",
"coverage_amount": "<string>",
"policy_date": "2023-12-25",
"premium": "<string>",
"premium_frequency": "monthly",
"premium_due_date": "2023-12-25",
"current_policy_year": 123,
"property_casualty_type": "<string>",
"effective_date": "2023-12-25",
"renewal_date": "2023-12-25",
"agent_broker": "<string>",
"notes": "<string>",
"beneficiary_id": "<string>",
"beneficiary_type": "Person",
"owner_ids": [
"<string>"
],
"insured_ids": [
"<string>"
],
"named_insured_ids": [
"<string>"
],
"additional_insured_ids": [
"<string>"
],
"deductibles": [
"<string>"
],
"custom_fields": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"book_id": "<string>",
"household_id": "<string>"
}
],
"pagination": {
"current_page": 1,
"total_pages": 10,
"total_count": 100,
"per_page": 25
}
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Headers
Query Parameters
Page number
Items per page (max 100)
⌘I
List insurance policies
curl --request GET \
--url https://api.slant.app/v1/insurance_policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slant.app/v1/insurance_policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slant.app/v1/insurance_policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slant.app/v1/insurance_policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.slant.app/v1/insurance_policies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.slant.app/v1/insurance_policies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slant.app/v1/insurance_policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"insurance_type": "life",
"carrier": "<string>",
"policy_number": "<string>",
"life_policy_type": "term",
"permanent_policy_type": "whole_life",
"term_duration_years": 123,
"convertible": true,
"face_amount": "<string>",
"death_benefit": "<string>",
"cash_value": "<string>",
"coverage_amount": "<string>",
"policy_date": "2023-12-25",
"premium": "<string>",
"premium_frequency": "monthly",
"premium_due_date": "2023-12-25",
"current_policy_year": 123,
"property_casualty_type": "<string>",
"effective_date": "2023-12-25",
"renewal_date": "2023-12-25",
"agent_broker": "<string>",
"notes": "<string>",
"beneficiary_id": "<string>",
"beneficiary_type": "Person",
"owner_ids": [
"<string>"
],
"insured_ids": [
"<string>"
],
"named_insured_ids": [
"<string>"
],
"additional_insured_ids": [
"<string>"
],
"deductibles": [
"<string>"
],
"custom_fields": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"book_id": "<string>",
"household_id": "<string>"
}
],
"pagination": {
"current_page": 1,
"total_pages": 10,
"total_count": 100,
"per_page": 25
}
}